# Class ResultManifest

java.lang.Object
com.databricks.jdbc.model.core.ResultManifest

public class ResultManifest extends Object
Result manifest POJO

TODO: Replace this class with the corresponding SDK implementation once it becomes available

## Constructor Summary

Constructors
Constructor
Description
`ResultManifest()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Collection<com.databricks.sdk.service.sql.BaseChunkInfo>`
`getChunks()`
`com.databricks.sdk.service.sql.Format`
`getFormat()`
`Boolean`
`getIsVolumeOperation()`
`CompressionCodec`
`getResultCompression()`
`ResultSchema`
`getSchema()`
`Long`
`getTotalByteCount()`
`Long`
`getTotalChunkCount()`
`Long`
`getTotalRowCount()`
`Boolean`
`getTruncated()`
`int`
`hashCode()`
`ResultManifest`
`setChunks(Collection<com.databricks.sdk.service.sql.BaseChunkInfo> chunks)`
`ResultManifest`
`setFormat(com.databricks.sdk.service.sql.Format format)`
`ResultManifest`
`setIsVolumeOperation(Boolean isVolumeOperation)`
`ResultManifest`
`setResultCompression(CompressionCodec resultCompression)`
`ResultManifest`
`setSchema(ResultSchema schema)`
`ResultManifest`
`setTotalByteCount(Long totalByteCount)`
`ResultManifest`
`setTotalChunkCount(Long totalChunkCount)`
`ResultManifest`
`setTotalRowCount(Long totalRowCount)`
`ResultManifest`
`setTruncated(Boolean truncated)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResultManifest

public ResultManifest()

## Method Details

### setChunks

public ResultManifest setChunks(Collection<com.databricks.sdk.service.sql.BaseChunkInfo> chunks)

### getResultCompression

public CompressionCodec getResultCompression()

### setResultCompression

public ResultManifest setResultCompression(CompressionCodec resultCompression)

### getChunks

public Collection<com.databricks.sdk.service.sql.BaseChunkInfo> getChunks()

### setFormat

public ResultManifest setFormat(com.databricks.sdk.service.sql.Format format)

### getFormat

public com.databricks.sdk.service.sql.Format getFormat()

### setSchema

public ResultManifest setSchema(ResultSchema schema)

### getSchema

public ResultSchema getSchema()

### setTotalByteCount

public ResultManifest setTotalByteCount(Long totalByteCount)

### getTotalByteCount

public Long getTotalByteCount()

### setTotalChunkCount

public ResultManifest setTotalChunkCount(Long totalChunkCount)

### getTotalChunkCount

public Long getTotalChunkCount()

### setTotalRowCount

public ResultManifest setTotalRowCount(Long totalRowCount)

### getTotalRowCount

public Long getTotalRowCount()

### setTruncated

public ResultManifest setTruncated(Boolean truncated)

### getTruncated

public Boolean getTruncated()

### setIsVolumeOperation

public ResultManifest setIsVolumeOperation(Boolean isVolumeOperation)

### getIsVolumeOperation

public Boolean getIsVolumeOperation()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`